const express = require('express');
const router = express.Router();
// inside adminS.js



const authRoutes = require('./auth')
const dashboardRoutes = require('./dashboard')
const userRoutes = require('./user')
const assetsRoutes = require("./assets");
const planRoutes = require("./plan");
const paymentMethodRoutes = require("./paymentMethod");
const withdrawalMethodRoutes = require("./withdrawalMethod");
const transactionRoutes = require('./transactions')
const coinRoutes = require('./networks')
const kycRoutes = require('./kyc')
const profileRoutes = require('./profile')
const walletRoutes = require('./wallets')
const signalRoutes = require('./signals')
const copytradingRoutes = require('./copyTrader')
const tradingRoutes = require('./trading')
const tradehistoryRoutes = require('./tradingHistory')
const tradePairRoutes = require('./tradingPair')
const userPlanRoutes = require('./userplan')
const botRoutes = require('./bot')
const supportRoutes = require('./support');
/* s */


router.use('/auth' , authRoutes);
router.use('/users' , userRoutes);
router.use('/dashboard' , dashboardRoutes);
router.use("/assets", assetsRoutes);
router.use("/plans", planRoutes);
router.use("/payment-methods", paymentMethodRoutes);
router.use("/withdrawal-methods", withdrawalMethodRoutes);
router.use("/transactions", transactionRoutes);
router.use("/coins", coinRoutes);
router.use("/wallets", walletRoutes);
router.use("/signals", signalRoutes);
router.use("/copy-trading", copytradingRoutes);
router.use("/trading", tradingRoutes);
router.use("/trading-history", tradehistoryRoutes);
router.use("/trading-pairs", tradePairRoutes);
router.use("/userplans", userPlanRoutes);
 router.use("/bots", botRoutes);
 router.use("/kyc", kycRoutes);
 router.use("/profile", profileRoutes);
 router.use('/support', supportRoutes);
 //router.use("/copy-trading", copyTraderRoutes);
/*
router.use("/trading-pairs", tradingPairRoutes);
 */

module.exports = router